Subject: Re: linux-next: build failure after merge of the mm tree

From: Baoquan He <[email-masked]>
Date: Thu, 25 Jan 2024 10:40:21 +0800

On 01/24/24 at 03:52pm, Suren Baghdasaryan wrote:
> On Wed, Jan 24, 2024 at 3:24 PM Stephen Rothwell <[email-masked]> wrote:
> >
> > Hi all,
> >
> > After merging the mm tree, today's linux-next build (powerpc
> > ppc64_defconfig) failed like this:
> >
> > make[4]: *** No rule to make target 'kernel/elfcorehdr.o', needed by 'kernel/built-in.a'.  Stop.
> >
> > Presumably caused by commit
> >
> >   1777bfb42f56 ("crash: remove dependency of FA_DUMP on CRASH_DUMP")
> >
> > from the mm-unstable branch of the mm tree.  It looks like the expected
> > file rename did not happen.
> >
> > I have applied the following (git) patch for today.
> 
> I've got the same error in mm-unstable and your patch below fixed it. Thanks!

This happened in v2 merging. I doubt there's something wrong with Andrew's
patch merging script regarding this kind of patch renaming.

> 
> >
> > From: Stephen Rothwell <[email-masked]>
> > Date: Thu, 25 Jan 2024 09:58:54 +1100
> > Subject: [PATCH] fix up for "crash: remove dependency of FA_DUMP on
> >  CRASH_DUMP"
> >
> > Signed-off-by: Stephen Rothwell <[email-masked]>
> > ---
> >  kernel/{crash_dump.c => elfcorehdr.c} | 0
> >  1 file changed, 0 insertions(+), 0 deletions(-)
> >  rename kernel/{crash_dump.c => elfcorehdr.c} (100%)
> >
> > diff --git a/kernel/crash_dump.c b/kernel/elfcorehdr.c
> > similarity index 100%
> > rename from kernel/crash_dump.c
> > rename to kernel/elfcorehdr.c
> > --
> > 2.43.0
> >
> > --
> > Cheers,
> > Stephen Rothwell
>